<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_white_radius_16_bg"
    android:paddingHorizontal="12dp"
    android:paddingVertical="10dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_balance_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/wallet_balance"
        android:textColor="@color/color_FF4E5969"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_currency"
        android:layout_width="11dp"
        android:layout_height="11dp"
        android:layout_marginStart="4dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_balance_title"
        app:layout_constraintStart_toEndOf="@id/tv_balance_title"
        app:layout_constraintTop_toTopOf="@id/tv_balance_title"
        app:srcCompat="@drawable/common_wallet_coin_16_ic" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_balance"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="3dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF4E5969"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_balance_title"
        app:layout_constraintStart_toEndOf="@id/iv_currency"
        app:layout_constraintTop_toTopOf="@id/tv_balance_title"
        tools:text="100" />

    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="8dp"
        android:background="@color/color_FFF2F3F5"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_balance_title" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_product"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_balance_title" />

</androidx.constraintlayout.widget.ConstraintLayout>